IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The product attribute option object

Attributes

iduuid

Unique identifier

option_iduuid
attribute_options.id

Identifier of the related option

product_iduuid
products.id

Identifier of the related unit

created_attimestamp with time zone

Creation timestamp

The product attribute option object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "option_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z"
}

List product attribute options

Filters

idFilter<uuid>

Unique identifier

option_idFilter<uuid>
attribute_options.id

Identifier of the related option

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of product attribute options with the selected columns

206

Partial Content

GET /product_attribute_options
curl -X GET "https://api.bookingmood.com/v1/product_attribute_options?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create product attribute options

Body

Partial<ProductAttributeOption> | Array<Partial<ProductAttributeOption>>

Responses

201

The newly created product attribute options with the selected columns

POST /product_attribute_options
curl -X POST "https://api.bookingmood.com/v1/product_attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete product attribute options

Filters

idFilter<uuid>

Unique identifier

option_idFilter<uuid>
attribute_options.id

Identifier of the related option

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

204

The deleted product attribute options with the selected columns

DELETE /product_attribute_options
curl -X DELETE "https://api.bookingmood.com/v1/product_attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update product attribute options

Filters

idFilter<uuid>

Unique identifier

option_idFilter<uuid>
attribute_options.id

Identifier of the related option

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<ProductAttributeOption>

Responses

204

The updated product attribute options with the selected columns

PATCH /product_attribute_options
curl -X PATCH "https://api.bookingmood.com/v1/product_attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'